POST
/v1/platform/taxonomy-mappings/templates/applyPOST /v1/platform/taxonomy-mappings/templates/apply
Scopes: platform:taxonomy_mappings:write
Requires scope: platform:taxonomy_mappings:write.
Request body
| Field | Type | Required | Description |
|---|---|---|---|
template_id | string | no | |
channel_id | string | no | |
category_id | string | no | |
product_ids | string[] | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
template_id | string | no | |
applied_count | integer<int32> | no | |
failed_count | integer<int32> | no | |
results | ApplyTemplateProductResult[] | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.POST('/v1/platform/taxonomy-mappings/templates/apply', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);